## resvg 0.46.0+ds

=== debian/changelog ===
resvg (0.46.0+ds-2) unstable; urgency=medium

  * fix binary dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Jan 2026 23:30:58 +0100

resvg (0.46.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update coverage
  * add watch file, to use repack suffix +ds
  * stop superfluously set fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update and unfuzz patches
  * relax (build-)dependencies
    for crates gif imagesize kurbo roxmltree svgtypes
  * bump project versions in virtual packages and autopkgtests
  * stop put aside image during build

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Jan 2026 01:49:42 +0100

resvg (0.45.1-6) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use newer minor version of crate zune-jpeg;
    bump (build-)dependency for crate zune-jpeg;
    closes: bug#1117961, thanks to Peter Michael Green
  * reduce omitted tests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2025 08:48:38 +0200

resvg (0.45.1-5) unstable; urgency=medium

  * drop patch 2001_svgtypes,
    obsoleted by Debian packaging changes;
    tighten (build-)dependencies for crate svgtypes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 23:53:25 +0200

resvg (0.45.1-4) unstable; urgency=medium

  * update DEP-3 patch headers
  * relax build-dependency for crate rustybuzz

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 11:24:04 +0200

resvg (0.45.1-3) unstable; urgency=medium

  * drop patch 2001_fontdb,
    obsoleted by Debian packaging changes;
    update (build-)dependencies for crate fontdb
  * drop watch file: use upstream metadata instead

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 23:52:22 +0200

resvg (0.45.1-2) unstable; urgency=medium

  * add patches cherry-picked upstream:
    + fix abs_bounding_box calculation for image
    + fix crash caused by glyph splitting;
    include updated binary test file, and override during build
  * add patch 1003 to relax pixel delta in output comparison tests;
    closes: bug#1109712, thanks to Peter Michael Green
  * tighten DEP-3 patch headers
  * relax build-dependencies for crates fontdb itertools rustybuzz

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Aug 2025 08:58:26 +0200
