=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: linebender
Project: resvg
Dversion-Mangle: auto
Repacksuffix: +ds
